import json
import sys

def main():
	if len(sys.argv) < 2:
		print("Usage:", sys.argv[0], "votedata.json")
		sys.exit()

	f = open(sys.argv[1])
	data = json.load(f)
	f.close()
	
	prefixes = tuple([
		"secretary",
		"deputy_president",
		"deputy_secretary"
	])
	sep = '-'

	results = {}
	for i in prefixes:
		results[i] = []

	for n, ballot in enumerate(data):
		vote = {}
		for i in prefixes:
			vote[i] = {}

		for key, value in ballot.items():
			if key.startswith(prefixes):
				prefix, candidate = key.split(sep)
				vote[prefix][candidate] = value
		
		for k, v in vote.items():
			results[k].append(v)

	final = {}
	# now for output!
	for position, ballots in results.items():
		peon = ballots[0]
		candidates = list(peon.keys())
		
		blist = []
		blist.append("%s 1" % len(candidates))

		for ballot in ballots:
			x = ["1"]
			for c in candidates:
				x.append(ballot[c])
			x.append("0")
			blist.append(" ".join(x))

		blist.append("0")
		for c in candidates:
			blist.append("\"%s\"" % c)
		blist.append("\"%s\"" % position)
		final[position] = "\n".join(blist)

	for pos, data in final.items():
		f = open(pos + ".blt", 'w')
		f.write(data)
		f.close()

	
if __name__ == "__main__":
	main()
else:
	raise Exception("This can only be run from the command line.")

